Compute Engine v1 API - Class RolloutPlansListResponse (3.28.0)

public sealed class RolloutPlansListResponse : IMessage<RolloutPlansListResponse>, IEquatable<RolloutPlansListResponse>, IDeepCloneable<RolloutPlansListResponse>, IBufferMessage, IMessage, IPageResponse<RolloutPlan>, IEnumerable<RolloutPlan>, IEnumerable

Reference documentation and code samples for the Compute Engine v1 API class RolloutPlansListResponse.

Contains a list of RolloutPlan resources.

Inheritance

object > RolloutPlansListResponse

Namespace

Google.Cloud.Compute.V1

Assembly

Google.Cloud.Compute.V1.dll

Constructors

RolloutPlansListResponse()

public RolloutPlansListResponse()

RolloutPlansListResponse(RolloutPlansListResponse)

public RolloutPlansListResponse(RolloutPlansListResponse other)
Parameter
Name Description
other RolloutPlansListResponse

Properties

Etag

public string Etag { get; set; }
Property Value
Type Description
string

HasEtag

public bool HasEtag { get; }

Gets whether the "etag" field is set

Property Value
Type Description
bool

HasId

public bool HasId { get; }

Gets whether the "id" field is set

Property Value
Type Description
bool

HasNextPageToken

public bool HasNextPageToken { get; }

Gets whether the "next_page_token" field is set

Property Value
Type Description
bool
public bool HasSelfLink { get; }

Gets whether the "self_link" field is set

Property Value
Type Description
bool

Id

public string Id { get; set; }

[Output Only] Unique identifier for the resource; defined by the server.

Property Value
Type Description
string

Items

public RepeatedField<RolloutPlan> Items { get; }

A list of RolloutPlan resources.

Property Value
Type Description
RepeatedFieldRolloutPlan

NextPageToken

public string NextPageToken { get; set; }

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

Property Value
Type Description
string
public string SelfLink { get; set; }

Output only. [Output Only] Server-defined URL for this resource.

Property Value
Type Description
string

Unreachables

public RepeatedField<string> Unreachables { get; }

Output only. [Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

Property Value
Type Description
RepeatedFieldstring

Warning

public Warning Warning { get; set; }

[Output Only] Informational warning message.

Property Value
Type Description
Warning

Methods

GetEnumerator()

public IEnumerator<RolloutPlan> GetEnumerator()

Returns an enumerator that iterates through the resources in this response.

Returns
Type Description
IEnumeratorRolloutPlan